## kopano-webapp 3.4.6%2Bdfsg1

=== debian/control ===
Source: kopano-webapp
Section: web
Priority: optional
Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
  Jelle van der Waa <j.vanderwaa@kopano.com>
Build-Depends: ant,
  ant-optional,
  default-jdk,
  debhelper (>= 10),
  dh-exec,
  gettext,
  liblocale-msgfmt-perl,
  libxml2-utils,
  php-cli
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/giraffe-team/kopano-webapp.git
Vcs-Browser: https://salsa.debian.org/giraffe-team/kopano-webapp
Homepage: https://github.com/Kopano-dev/kopano-webapp
Standards-Version: 4.1.3

Package: kopano-webapp-common
Architecture: all
Depends:
 kopano-contacts (>= 8.1.0),
 php-gettext,
 php-mapi (>= 8.1.0),
 ssl-cert,
 ${misc:Depends},
Recommends:
 kopano-server,
 kopano-webapp-apache2 | kopano-webapp-nginx | kopano-webapp-lighttpd,
Description: WebApp for the Kopano Collaboration Platform - common files
 Provides a web-client written in PHP that uses JSON and Ext JS to allow users
 to make full use of the Kopano Collaboration Platform through a modern web
 browser. The functionality of the web-client can be expanded by various
 plugins.
 .
 This package contains the common used files and dependencies on packages for
 all the webserver specific kopano-webapp packages.

Package: kopano-webapp-apache2
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-php,
 kopano-webapp-common (>= ${binary:Version}),
 ${misc:Depends},
Recommends:
 kopano-server,
Description: WebApp for the Kopano Collaboration Platform - Apache2
 Provides a web-client written in PHP that uses JSON and Ext JS to allow users
 to make full use of the Kopano Collaboration Platform through a modern web
 browser. The functionality of the web-client can be expanded by various
 plugins.
 .
 Apache2 specific configuration and dependencies will be provided by this
 package.

Package: kopano-webapp-nginx
Architecture: all
Depends:
 nginx,
 kopano-webapp-common (>= ${binary:Version}),
 php-fpm,
 ${misc:Depends},
Recommends:
  kopano-server,
Description: WebApp for the Kopano Collaboration Platform - Nginx
 Provides a web-client written in PHP that uses JSON and Ext JS to allow users
 to make full use of the Kopano Collaboration Platform through a modern web
 browser. The functionality of the web-client can be expanded by various
 plugins.
 .
 Nginx specific configuration and dependencies will be provided by this
 package.

Package: kopano-webapp-lighttpd
Architecture: all
Depends:
 lighttpd,
 kopano-webapp-common (>= ${binary:Version}),
 php-cgi,
 ${misc:Depends},
Recommends:
  kopano-server,
Description: WebApp for the Kopano Collaboration Platform - Lighttpd
 Provides a web-client written in PHP that uses JSON and Ext JS to allow users
 to make full use of the Kopano Collaboration Platform through a modern web
 browser. The functionality of the web-client can be expanded by various
 plugins.
 .
 Lighttpd specific configuration and dependencies will be provided by this
 package.

Package: kopano-webapp-contactfax
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp fax plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Expand the new "create mail" dialog with contact's fax number in the To:
 field of the email.

Package: kopano-webapp-folderwidgets
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp folder widgets plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Folder widgets plugin for kopano-webapp. This is a collection of widgets which
 can show the contents of some of the default folders for a user.

Package: kopano-webapp-gmaps
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp google maps plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Google Maps plugin for kopano-webapp, adds a new 'maps' tab in the contact
 details which displays the location of the contact by using Google Maps.

Package:  kopano-webapp-pimfolder
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp personal inbox plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Expand kopano-webapp by providing a button to quickly move messages to a
 certain folder in your inbox. This plug-in allows you to quickly move
 messages to a single, preconfigured folder. This makes it easier to work
 through your emails if you work with a "Getting Things Done" methodology.

Package: kopano-webapp-quickitems
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp quick items plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Quick Items plugin for koapno-webapp. Adds special widgets to the WebApp which
 makes it easier to create new mails, appointments, contacts, tasks and notes.

Package: kopano-webapp-titlecounter
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp Titlecounter plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Titlecounter plugin for kopano-webapp which shows the amount of unread inbox
 mail items in the browsers title window.

Package: kopano-webapp-webappmanual
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp Manual plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Adds a button in the top menu bar, which opens the user manual of the Kopano
 WebApp.

Package: kopano-webapp-zdeveloper
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp developer plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Developer plugin for kopano-webapp, exposes insertion points visually in the
 kopano-webapp. Plugin is mostly useful for plugin developers.
