## kopano-webapp 3.4.6+dfsg1

=== debian/changelog ===
kopano-webapp (3.4.6+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [4a7b3cc] New upstream version 3.4.6+dfsg1
  * [9471ff5] rebuild patch queue from patch-queue branch
  * [b85f8d1] debian/control: adding new field Rules-Requires-Root

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Feb 2018 19:22:29 +0100

kopano-webapp (3.4.5+dfsg1-1) unstable; urgency=medium

  [ Chris Lamb ]
  * [abd06ef] ignore *.js.map file while installation (Closes: #887989)

  [ Carsten Schoenert ]
  * [9a9c678] ignore *debug.js file too while installation
  * [5c1cc85] New upstream version 3.4.5+dfsg1
  * [9ea9ec1] rebuild patch queue from patch-queue branch
  * [4aba63e] adjust Vcs fields to salsa.debian.org

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Feb 2018 20:52:16 +0100

kopano-webapp (3.4.4+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [f804b49] New upstream version 3.4.4+dfsg1
  * [cd3b3dd] rebuild patch queue from patch-queue branch
  * [5977cd7] kopano-webapp: switch to upstream apparmor profile
     Thanks to Kopano which have accepted a pull request to include the
     apparmor profile Guido has prepared and we included since version
     3.4.0+dfsg1-1.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Jan 2018 19:34:06 +0100

kopano-webapp (3.4.3+dfsg1-1) experimental; urgency=medium

  [ Carsten Schoenert ]
  * [95af975] New upstream version 3.4.1+dfsg1
  * [877e01f, 73d82f3] debian/control: increase Standards-Version to 4.1.2
     and 4.1.3
     No further changes are needed.
  * [e445a2c] debian/gbp.conf: don't relay hard on xz compression
  * [c22dd62] New upstream version 3.4.2+dfsg1
  * [69f69f8] k-w-apache2: enhance postinst procedure
     Don't let the website configuration disabled and try to activate the
     configuration while installing k-w for the first time. Don't force to
     re-enable k-w in case the user has disabled the current configuration
     and the installation of k-w is a update.
     Closes: #876668
  * [c4740a8] k-w-apache2: adding a postrm script
     Remove the symlink from /e/a/conf-enabled in case the user is purging the
     package.
  * [0753d23] k-w-a: modify README after changed behavior
     Adding some notes about the current behavior for k-w-a to the README of
     the package, explain how the website configuration is intended and why it
     is now enabled after the installation of k-w-a.
  * [2277f4b] New upstream version 3.4.3+dfsg1
  * [7036d6c] lintian-overrides: add one more override
     Adding a l-o to a almost readable and not minified JS file that is only
     used for unit testing.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Jan 2018 20:43:35 +0100

kopano-webapp (3.4.0+dfsg1-1) experimental; urgency=medium

  [ Guido Günther ]
  * [edc719f] postinst: Fix typo
  * [2c298e3] apparmor: add hat name if apache module is enabled
  * [7310d19] Add apparmor profile
  * [e9f346e] Create empty plugin folder
  * [f03dd82, 273adee, 3c6251c] uscan: simplify the rule set
     Use a more strictly kopano-webapp specific set up, which means
     * Don't prefer rc and beta over releases
     * Handle dot in front of beta and rc versions numbers

  [ Jelle van der Waa ]
  * [5b7d1ec] rules: remove left-over files plugin references
     Remove cruft in debian/rules which isn't needed and used any more.

  [ Carsten Schoenert ]
  * [429e8ed] gbp.conf: don't remove powerpaste plugin
     Don't remove the Powerpaste plugin in future imports, it's free
     software.
  * [7613a3c] New upstream version 3.3.1+dfsg1
  * [05cc6e2] debian/watch: update content due needed dversionmangle
     We mark the source tarbal with the 'dfsg' suffix to show we have filtered
     out some non DFSG compatible parts. Thus needs to be mangled by uscan.
  * [8ac43f8] debian/control: increase Standards-Version to 4.1.1
     No further changes are needed.
  * [d20d14b] debian/control: remove not needed ${misc:Recommends}
     Just a clean out of these not needed variables in Architecture: all
     packages.
  * [c1d3521] s/lintian-overrides: add extra JS files
    We need to add some minor overrides related to the powerpaste plugin.
  * [98edf68] debian/rules: remove License.txt from powerpaste folder
  * [3216194] debian/copyright: add information for powerpaste plugin
  * [3738132] debian/watch: update due changed GitHub organisation
  * [c586f03] autopkgtest: adjust chromiumdriver -> chromium-driver
  * [49801f2] k-w-c.lintian-overrides: avoid lintian warning about empty folder
  * [f313807] New upstream version 3.4.0+dfsg1
  * [845c8f8] rebuild patch queue from patch-queue branch
     Adding few i18n related patches for QS purpose of the language files. To
     be forwarded upstream.
  * [443d2ce] README.source: update content
  * [78c842f] src:kopano-webapp: add some additional fields
     Adding now we have a working Git repository on Alioth also the VCS fields
     and also a Homepage field pointing to the upstream GitHub tree.
  * [568e86b] debian/watch: (re)adding dversionmangle due 'dfsg' suffix
  * [421c4fe] lintian: adding override for kopanowebappdings.ttf

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Nov 2017 13:24:04 +0100

kopano-webapp (3.3.1-1) experimental; urgency=medium

  * Initial Upload
    Closes: #783640

  [ Carsten Schoenert ]
  * [2322e52] Imported Upstream version 2.1.0~rc1
  * [50df361] rebuild patch queue from patch-queue branch
  * [b2eff8b] d/c-u-t.sh: remove more files and folders from upstream
  * [3585010] debian/copyright: adopt new included 'powerpaste' plugin
  * [c74eb6d] debian/rules: removing unneeded license text files
  * [434ff7b] debian/copyright: update after removing PHP-2.02 related file
  * [2299c8b] debian/control: zarafa-webapp-files needs php5-curl
  * [7292ac2] debian/rules: remove unneeded sabredav folder before install
  * [d1fe95d] remove unneeded libjs-jac build dependency
  * [489cc91] Imported Upstream version 2.1.0

