=== debian/tests/control ===
Tests: smoke
Depends: chromium-driver,
 phantomjs,
 python-nose,
 python-selenium
Restrictions: allow-stderr
