=== debian/watch ===
# watch file for kopano-webapp from Kopano
#
# Kopano is mirroring some of there git trees on GitHub, so also kopano-webapp.
# That's makes it a lot easier to use uscan for tracking new upstream versions.
#
# Release Tags are currently not signed!
#
# Also there aren't any armored detached signing files (*.asc), thus we can't use
# any cryptographic signature verification and don't use 'pgpsigurlmangle'.

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="uversionmangle=s/-(beta|rc)/~$1/;s/\.-(beta|rc)\.\d.*//;s/\.\.//,\
dversionmangle=s/\+dfsg(\.?\d+)?$//" \
https://github.com/Kopano-dev/kopano-webapp/tags .*/v(\d.\d.\d(-(beta|rc)\.\d)?)\.tar\.gz
