## kopano-webapp 3.4.19+dfsg1

=== debian/changelog ===
kopano-webapp (3.4.19+dfsg1-1) unstable; urgency=medium

  * [06cd21e] New upstream version 3.4.19+dfsg1
  * [4ffc195] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 28 Jul 2018 14:12:22 +0800

kopano-webapp (3.4.17+dfsg1-1) unstable; urgency=medium

  * [d3dbe35] New upstream version 3.4.17+dfsg1
  * [fb602d7] rebuild patch queue from patch-queue branch
  * [423df90] update Maintainers to new contact address
     Updating the Maintainer email address to 
     pkg-giraffe-maintainers@alioth-lists.debian.net
  * [05e8fb1] debian/control: increase Standards-Version to 4.1.5
     No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Jul 2018 20:54:19 +0200

kopano-webapp (3.4.16-1) unstable; urgency=medium

  * [5019d3e] uscan: also match minor versions with more than one digest
  * [58e8132] New upstream version 3.4.16
  * [e6355a5] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Jun 2018 10:59:22 +0200

kopano-webapp (3.4.15+dfsg1-1) unstable; urgency=medium

  * [5b4a74b] New upstream version 3.4.15+dfsg1
  * [294aef1] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 31 May 2018 07:21:43 +0200

kopano-webapp (3.4.13+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [680949a] use PHP_VERSION from one central place
     We need the used PHP version in various files and places, define the PHP
     version within debian/rules and substitute this into the needed files. By
     this we won't forget to collate the PHP version in the other files.
  * [51d7810] kopano-webapp-nginx: also substitute PHP version here
     Use also the PHP version from debian/rules for kopano-webapp-nginx.
  * [0372b15] k-w-nginx: enable web site activation
     By this version we will enable the Nginx web site configuration for
     kopano-webapp.
  * [fb30e45] k-w-nginx: create dedicated user config file
     Providing a dedicated file where the user needs to add the needed web
     site configuration and modifications.
  * [8a9c68c] k-w-n: modify README after changed behavior
  * [260aaa1] New upstream version 3.4.13+dfsg1
  * [66c03a4] rebuild patch queue from patch-queue branch
     Added a patch for the new shipped l10n files for Arabic (Algeria).
  * [9feeca2] debian/control: increase Standards-Version to 4.1.4
     No further changes needed.
  * [33af810] debian/rules: override the dh_autotest target
     kopano-webapp comes now with automated tests which doesn't work inside
     the buildd infrastructure and we need to disable.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 17 May 2018 12:13:52 +0200

kopano-webapp (3.4.10+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [813691e] New upstream version 3.4.10+dfsg1
  * [2e1203f] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 07 Apr 2018 18:11:45 +0200

kopano-webapp (3.4.9+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [e0eb87a] New upstream version 3.4.9+dfsg1
  * [4c4e258] rebuild patch queue from patch-queue branch
  * [2bdcb0b] d/kopano-webapp-apache2.conf: adding upstream modifications

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Mar 2018 10:26:20 +0100

kopano-webapp (3.4.7+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [e30d290] New upstream version 3.4.7+dfsg1
  * [99c8675] rebuild patch queue from patch-queue branch
  * [ef340eb] d/control: adding Rules-Requires-Root to source section

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 05 Mar 2018 19:30:16 +0100
