=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kopano-webapp
 Section: web
 Priority: optional
-Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
+Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@alioth-lists.debian.net>
 Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
   Jelle van der Waa <j.vanderwaa@kopano.com>
 Build-Depends: ant,
@@ -12,12 +12,12 @@
   gettext,
   liblocale-msgfmt-perl,
   libxml2-utils,
-  php-cli
+  php-cli,
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/giraffe-team/kopano-webapp.git
 Vcs-Browser: https://salsa.debian.org/giraffe-team/kopano-webapp
 Homepage: https://github.com/Kopano-dev/kopano-webapp
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 
 Package: kopano-webapp-common
 Architecture: all
