=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 RELEASE := $(DEB_DISTRIBUTION)
+PHP_VERSION = 7.2
 
 %:
 	dh $@ 
@@ -15,6 +16,7 @@
 	ant deploy deploy-plugins
 	mkdir $(CURDIR)/debian/tmp
 	cp -a $(CURDIR)/deploy $(CURDIR)/debian/tmp/
+	sed -e "s/@version@/$(PHP_VERSION)/g" debian/kopano-webapp-nginx.postinst.in > debian/kopano-webapp-nginx.postinst
 
 override_dh_install:
 	dh_install -X.js.map -X*debug.js
@@ -23,7 +25,10 @@
 		$(CURDIR)/debian/kopano-webapp-common/usr/share/kopano-webapp/version
 	# remove additional license files
 	rm $(CURDIR)/debian/kopano-webapp-common/usr/share/kopano-webapp/client/tinymce-plugins/powerpaste/License.txt
+	sed -i "s/@version@/$(PHP_VERSION)/g" debian/kopano-webapp-nginx/etc/nginx/sites-available/kopano-webapp.conf
 
 override_dh_fixperms:
 	dh_fixperms -Xvar/lib/kopano-webapp/tmp
 	chown www-data:www-data $(CURDIR)/debian/kopano-webapp-common/var/lib/kopano-webapp/tmp
+
+override_dh_auto_test:
