=== debian/changelog ===
kopano-webapp (3.5.2+dfsg1-1) unstable; urgency=medium

  * [63c1d6f] New upstream version 3.5.2+dfsg1
  * [57242ac] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 05 Feb 2019 19:28:34 +0100

kopano-webapp (3.5.1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [c4517b5] New upstream version 3.5.1
  * [5416e27] source lintian: ignore warning about long line
     Ignore warning about KQLParser.js which has one long line.

  [ Martijn Alberts ]
  * [c0aae23] autopkgtest: use another method to find CSS IDs
     Use now another check method while searching for an CSS ID. Due this the
     check searches for another ID too.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Jan 2019 19:01:32 +0100

kopano-webapp (3.5.1~rc1+dfsg1-1) unstable; urgency=medium

  * [1df56c9] debian/control: increase Standards-Version to 4.3.0
     No further changes needed.
  * [2b72826] d/control: remove npm package from B-D (again)
     The npm package was a Build-Depends after kopano-webapp versions 3.4.22,
     but no version of these releases was ever uploaded. npm isn't needed now
     any more.
  * [3756879] autopkgtest: create needed store before testing
     Since kopanocore version > 8.6.0 the user needs to get a store, updating
     the autopkgtest to fulfil this requirement.
  * [32228fd] autopkgtest: update test to work in headless mode
     The phantomjs driver in selenium is abandoned for some time, it's
     suggested to work with the headless mode of the chromedriver or with
     firefox.
     Rework of the test to work with chromium in headless mode.
     Thanks Guido for helping out with the lambda functions!
  * [66c1e9e] New upstream version 3.5.1~rc1+dfsg1
  * [878097f] rebuild patch queue from patch-queue branch
     removed patch (fixed upstream):
     server-do-not-define-JSONException-as-function.patch
  * [748e428] autopkgtest: search correct CSS class names
     Obviously the CSS class names have changed a bit more, we need to search
     for other names now to login and send an email.
  * [c56d0f3] autopkgtest: move over to Python3 based packages
  * [6b4563d] d/control: increase depending version on php-mapi
     The autopkgtest has detected that we need a recent version of php-mapi
     (which is provided by the kopanocore package) with a version >= 8.6.92.
  * [e1a92d4] k-w-common.install: also install the tokenizr JS file
     The file tokenizr.min.js isn't installed by the Makefile from upstream,
     working around this and pick the file directly from the source folder.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 13 Jan 2019 12:52:59 +0100

kopano-webapp (3.5.0+dfsg1-1) unstable; urgency=medium

  * [c7188ec] d/rules: detect PHP_VERSION dynamically
     We need to know the version of PHP in some postinst scripts. Read the PHP
     version from the installed php$VERSION-cli package which is getting
     installed as a Build-Dependency from php-dev.
  * [cf82604] d/control: add B-D on php-dev
  * [0ed0592] d/rules: some sanity checking addition
     Ensure we could read the PHP version from the system, otherwise a further
     build is useless.
  * [6320c46] New upstream version 3.5.0+dfsg1
  * [de94789] rebuild patch queue from patch-queue branch
     Removed all patches that have modified the existing po files, all
     modifications are applied upstream now. The non existing language es_CA
     still needs to be removed by the patch queue.
    added patch:
     server-do-not-define-JSONException-as-function.patch
  * [0ff6616] Build_Depends: add new needed packages
     The new upstream version is relying on npm and phpmd as build
     dependencies.
  * [858ac95] d/control: remove ant* packages from B-D
     But we don't need any ant related packages as build dependencies any more.
  * [a24d168] d/rules: drop ant related call
     As the build system isn't using ant any more we need to adjust the build
     in debian/rules. Upstream is now working with a classical Makefile.
  * [0ffdb83] d/rules: remove potential execution rights on php files
     We don't need execution rights on the php files shipped in the -common
     package.
  * [c451b2b] k-w-common: increase depending version on php-mapi
     kopano-webapp is heavily relying on php-mapi from src:kopanocore. Recent
     kopanocore packages are build against php7.3 so we need to increase the
     depending version of php-mapi.
  * [b31e457] k-w-nginx: update postinst script
     The postinst for the nginx package was missing a reload of php-fpm at the
     end of the postinst script. Reworking some informal output in the script.
  * [2060987] k-w-nginx: update postrm script
     No functional changes, but also updating the informal output of the
     script.
  * [11bf5b1] k-w-apache2: update postinst script
     The apache2 postinst script needs to enable the mapi module while
     configuring the package in case of installation or update.
  * [ff3cbf3] k-w-lighttpd: always remove site config while purging
     (Closes: #909599)
  * [980c627] k-w-lighttpd: use dynamical PHPVERSION in postinst
     Don't use a hardcoded PHP version within the postinst script, the version
     will substituted with the version from the build so we don't need to
     modify it every time a new PHP version is coming.
  * [d83bfa3] k-w-lighttpd: update email contact in README
     Since the ML is now moved to the domain alioth-lists.debian.net a small
     update is needed in the README.
  * [d2552c3] k-w-lighttpd: update README about http usage
     And one more update to the README file for kopano-webapp-lighttpd, add
     some information about the wanted non working http only access to
     kopano-webapp.
  * [7900c38] d/t/control: autopkgtest needs root rights
     A small update to the autotest, but more changes are needed to get the
     autopkgtest working again.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Dec 2018 18:04:49 +0100


