=== debian/control ===
--- 
+++ 
@@ -4,27 +4,28 @@
 Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@alioth-lists.debian.net>
 Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
   Jelle van der Waa <j.vanderwaa@kopano.com>
-Build-Depends: ant,
-  ant-optional,
+Build-Depends:
   default-jdk,
-  debhelper (>= 10),
+  debhelper (>= 11),
   dh-exec,
   gettext,
   liblocale-msgfmt-perl,
   libxml2-utils,
   php-cli,
+  php-dev,
+  phpmd,
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/giraffe-team/kopano-webapp.git
 Vcs-Browser: https://salsa.debian.org/giraffe-team/kopano-webapp
 Homepage: https://github.com/Kopano-dev/kopano-webapp
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 
 Package: kopano-webapp-common
 Architecture: all
 Depends:
  kopano-contacts (>= 8.1.0),
  php-gettext,
- php-mapi (>= 8.1.0),
+ php-mapi (>= 8.6.92),
  ssl-cert,
  ${misc:Depends},
 Recommends:
