## kopano-webapp 3.5.8+dfsg1

=== debian/changelog ===
kopano-webapp (3.5.8+dfsg1-2) unstable; urgency=medium

  * [40939f0] remove php-gettext as package dependency

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 28 Jul 2019 09:56:52 -0300

kopano-webapp (3.5.8+dfsg1-1) unstable; urgency=medium

  * [744e940] New upstream version 3.5.8+dfsg1
  * [18fbd1c] d/copyright: update copyright information
     Adding a new file which we didn't have tracked yet.
  * [871fc90] rebuild patch queue from patch-queue branch
  * [2c6da71] debian/control: increase Standards-Version to 4.4.0
     No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 27 Jul 2019 13:33:42 -0300

kopano-webapp (3.5.6+dfsg1-1) unstable; urgency=medium

  * [627b6b3] New upstream version 3.5.6+dfsg1
  * [79f588b] rebuild patch queue from patch-queue branch
  * [b4a3931] d/copyright: update copyright information
     Since upstream version 3.5.4 some new additional software is included
     which is required to be reflected in the copyright file.
  * [c983579] d/rules: exclude the installation of *.md files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 May 2019 11:22:51 +0200

kopano-webapp (3.5.3+dfsg1-1) unstable; urgency=medium

  * [a292ded] New upstream version 3.5.3+dfsg1
  * [5a04a67] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 Mar 2019 19:51:26 +0100
