## kopano-webapp 3.5.9+dfsg1

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 # Javascript compiler
 
 JSDEPLOY = $(DESTDIR)/client
+OIDCDEPLOY = $(JSDEPLOY)/oidc
 
 JSCOMPILER ?= $(JAVA) -jar tools/lib/compiler.jar
 
@@ -41,17 +42,15 @@
 
 # Client files
 
-CSS = $(wildcard client/resources/css/*/*.css client/extjs/ux/css/ux-all.css client/extjs/resources/css/*.css)
+CSS = $(wildcard client/resources/css/*.* client/resources/css/*/*.* client/extjs/ux/css/ux-all.css client/extjs/resources/css/*.css)
 CSSDEST = $(addprefix $(DESTDIR)/, $(CSS))
 IMAGEDIR = client/resources/images
-IMAGES = $(wildcard $(IMAGEDIR)/*.* $(IMAGEDIR)/whatsnew/*.*)
-IMAGESDEST = $(addprefix $(DESTDIR)/, $(IMAGES))
 APPICONS = $(wildcard $(IMAGEDIR)/app-icons/*.*)
-APPICONSDEST = $(addprefix $(DESTDIR)/, $(APPICONS))
 APPICONSSCSS = client/resources/scss/base/_icons.scss
 APPICONSEXTENSIONSFILE = client/resources/images/app-icons.extensions.json
+IMAGES = $(filter-out $(APPICONSEXTENSIONSFILE), $(wildcard $(IMAGEDIR)/*.* $(IMAGEDIR)/whatsnew/*.*))
+IMAGESDEST = $(addprefix $(DESTDIR)/, $(IMAGES))
 EXTJSMODFILES = $(wildcard client/extjs-mod/*.js)
-KOPANOCSS = $(DESTDIR)/client/resources/css/kopano.css
 ICONEXTENSIONSFILE = client/resources/iconsets/extensions.json
 ICONSETS = $(notdir $(filter-out client/resources/iconsets/extensions.json, $(wildcard client/resources/iconsets/*)))
 ICONS = $(foreach iconsetdir,$(ICONSETS),$(wildcard client/resources/iconsets/$(iconsetdir)/src/png/*/*.png))
@@ -77,21 +76,19 @@
 
 server: $(MOS) $(LANGTXTDEST) $(PHPFILES) $(DESTDIR)/$(APACHECONF) $(DISTFILES) $(ROBOTS) $(HTACCESS) $(DESTDIR)/version $(SERVERROOTFILES)
 
-client: $(CSSDEST) $(ICONSETSDEST) $(IMAGESDEST) $(KOPANOCSS) $(APPICONSDEST) js
+client: $(CSSDEST) $(ICONSETSDEST) $(IMAGESDEST) js
 	cp -r client/resources/fonts $(DESTDIR)/client/resources/
-	cp -r client/resources/scss $(DESTDIR)/client/resources/
-	cp -r client/resources/config.rb $(DESTDIR)/client/resources/
-	cp -r client/resources/iconsets $(DESTDIR)/client/resources/
 	cp -r client/zarafa/core/themes $(DESTDIR)/client/
-	cp -r client/resources/images/app-icons $(DESTDIR)/client/resources/images/
 	rm -rf $(DESTDIR)/client/themes/*/js
+	cp -r client/resources/scss $(DESTDIR)/client/resources/scss
 	# TODO use separate targets
 
-js: $(JSDEPLOY)/fingerprint.js $(JSDEPLOY)/resize.js $(TEMPATEJSDEST) $(JSDEPLOY)/kopano.js $(JSDEPLOY)/extjs-mod/extjs-mod.js $(JSDEPLOY)/extjs/ext-base-all.js $(DESTDIR)/client/third-party/ux-thirdparty.js
+js: $(JSDEPLOY)/fingerprint.js $(JSDEPLOY)/resize.js $(TEMPATEJSDEST) $(JSDEPLOY)/kopano.js $(JSDEPLOY)/extjs-mod/extjs-mod.js $(JSDEPLOY)/extjs/ext-base-all.js $(DESTDIR)/client/third-party/ux-thirdparty.js $(JSDEPLOY)/oidc-kopano.js
 	cp -r client/tinymce $(DESTDIR)/client/
 	cp -r client/tinymce-languages $(DESTDIR)/client/
 	cp -r client/tinymce-plugins $(DESTDIR)/client/
 	cp -r client/extjs $(DESTDIR)/client/
+	cp -r client/oidc $(DESTDIR)/client/
 	rm $(DESTDIR)/client/extjs/ext-base.js
 	rm $(DESTDIR)/client/extjs/ext-all.js
 	rm $(DESTDIR)/client/extjs/resources/css/reset-min.css
@@ -110,10 +107,6 @@
 	cp $< $@
 
 $(HTACCESS): .htaccess
-	cp $< $@
-
-$(KOPANOCSS): client/resources/css/design.css
-	mkdir -p $$(dirname $@)
 	cp $< $@
 
 $(DESTDIR)/%.mo : %.po
@@ -154,6 +147,12 @@
 $(JSDEPLOY)/resize.js: client/resize.js
 	mkdir -p $(JSDEPLOY)
 	cat client/resize.js > $(JSDEPLOY)/resize-debug.js
+	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@
+
+$(JSDEPLOY)/oidc-kopano.js: client/oidc-kopano.js
+	mkdir -p $(JSDEPLOY)
+	cp client/oidc.js.php $(JSDEPLOY)/
+	cat client/oidc-kopano.js > $(JSDEPLOY)/oidc-kopano-debug.js
 	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@
 
 $(JSDEPLOY)/third-party/ux-thirdparty.js: $(THIRDPARTY)
