=== debian/changelog ===
kopano-webapp (3.5.9+dfsg1-1build1) eoan; urgency=medium

  * No change re-build for PHP7.3.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 06 Sep 2019 04:41:59 +0000

kopano-webapp (3.5.9+dfsg1-1) unstable; urgency=medium

  * [e3d5e48] New upstream version 3.5.9+dfsg1
  * [4654083] rebuild patch queue from patch-queue branch
  * [31eed61] source lintian: ignore more warning about long lines
     Also ignore waenings about oidc-client.js and tokenizr.js.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Aug 2019 19:22:35 +0200
