=== debian/control ===
--- 
+++ 
@@ -18,13 +18,12 @@
 Vcs-Git: https://salsa.debian.org/giraffe-team/kopano-webapp.git
 Vcs-Browser: https://salsa.debian.org/giraffe-team/kopano-webapp
 Homepage: https://github.com/Kopano-dev/kopano-webapp
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 
 Package: kopano-webapp-common
 Architecture: all
 Depends:
  kopano-contacts (>= 8.1.0),
- php-gettext,
  php-mapi (>= 8.6.92),
  ssl-cert,
  ${misc:Depends},
